package com.acethewildfire.acesbs.item;

import com.acethewildfire.acesbs.item.custom.HammerItem;
import com.acethewildfire.acesbs.item.custom.ModArmorItem;
import com.acethewildfire.acesbs.trim.ModTrimMaterials;
import net.minecraft.item.*;
import net.minecraft.item.equipment.EquipmentType;


public class PrismaSteelItems {

    public static final Item PRISMA_STEEL = ModItems.registerItem("prisma_steel", setting -> new Item(setting.trimMaterial(ModTrimMaterials.PRISMA_STEEL)));
    public static final Item PRISMA_STEEL_SWORD = ModItems.registerItem("prisma_steel_sword",
            setting -> new Item(setting.sword(ModToolMaterials.PRISMA_STEEL, 3, -2.4f)));
    public static final Item PRISMA_STEEL_SHOVEL = ModItems.registerItem("prisma_steel_shovel",
            setting -> new ShovelItem(ModToolMaterials.PRISMA_STEEL, 1.5F, -3.0F, setting));
    public static final Item PRISMA_STEEL_PICKAXE = ModItems.registerItem("prisma_steel_pickaxe",
            setting -> new Item(setting.pickaxe(ModToolMaterials.PRISMA_STEEL, 1.0F, -2.8F)));
    public static final Item PRISMA_STEEL_HAMMER = ModItems.registerItem("prisma_steel_hammer",
            setting -> new HammerItem(ModToolMaterials.PRISMA_STEEL, 9.0F, -3.4F, setting.maxDamage(9886)));
    public static final Item PRISMA_STEEL_AXE = ModItems.registerItem("prisma_steel_axe",
            setting -> new AxeItem(ModToolMaterials.PRISMA_STEEL, 6.0F, -3.1F, setting));
    public static final Item PRISMA_STEEL_HOE = ModItems.registerItem("prisma_steel_hoe",
            setting -> new HoeItem(ModToolMaterials.PRISMA_STEEL, -2.0F, -1.0F, setting));
    public static final Item PRISMA_STEEL_HELMET = ModItems.registerItem("prisma_steel_helmet",
            setting -> new ModArmorItem(setting
                    .armor(ModArmorMaterials.PRISMA_STEEL_ARMOR_MATERIAL, EquipmentType.HELMET)
                    .maxDamage(EquipmentType.HELMET.getMaxDamage(15))));
    public static final Item PRISMA_STEEL_CHESTPLATE = ModItems.registerItem("prisma_steel_chestplate",
            setting -> new ModArmorItem(setting
                    .armor(ModArmorMaterials.PRISMA_STEEL_ARMOR_MATERIAL, EquipmentType.CHESTPLATE)
                    .maxDamage(EquipmentType.CHESTPLATE.getMaxDamage(15))));
    public static final Item PRISMA_STEEL_LEGGINGS = ModItems.registerItem("prisma_steel_leggings",
            setting -> new ModArmorItem(setting
                    .armor(ModArmorMaterials.PRISMA_STEEL_ARMOR_MATERIAL, EquipmentType.LEGGINGS)
                    .maxDamage(EquipmentType.LEGGINGS.getMaxDamage(15))));
    public static final Item PRISMA_STEEL_BOOTS = ModItems.registerItem("prisma_steel_boots",
            setting -> new ModArmorItem(setting
                    .armor(ModArmorMaterials.PRISMA_STEEL_ARMOR_MATERIAL, EquipmentType.BOOTS)
                    .maxDamage(EquipmentType.BOOTS.getMaxDamage(15))));
    public static final Item PRISMA_SMITHING_TEMPLATE = ModItems.registerItem("prisma_armor_trim_smithing_template",
            SmithingTemplateItem::of);

    public static void registerPrismaItems() {
        // Do nothing, this just makes sure the items get registered
    }
}
